This repository contains all code and data required to reproduce the simulations
and case studies in *Three principles of data science: predictability,
computability, and stability (PCS)*. All scripts are written in R or Rmarkdown.
To run these scripts, define the environment variable:
   
  PCS_DIR=<path to this directory>

This directory contains the following files:

1. enhancer_case_study_mean.Rmd: PCS documentation for enhancer case study,
   using mean to combine replicate features.

2. enhancer_case_study_max.Rmd: PCS documentation for enhancer case study, using
   maximum to combine replicate features.

3. simulation.R: simulation study reported in the main text.

4. utilities.R: utility functions used for enhancer case study.

5. simulation_utilities.R: utility functions used for simulations.


This directory contains the following datasets:

1. enhancer.Rdata: genomic data used in both the simulations and case studies.

2. geneCoords.Rdata: genomic coordinates for observations used in the
   simulations and case studies.
